this.name = "NPC_Energy_Units";

"use strict";

this._alreadyGotOne = {
			"cobramk1-alt": "EQ_NPC_ENERGY_UNIT",
			"jaguar_company_patrol": "EQ_NPC_NAVAL_ENERGY_UNIT",
			"jaguar_company_patrol_scuffed": "EQ_NPC_NAVAL_ENERGY_UNIT",
			"jaguar_company_ship_splinter": "EQ_NPC_NAVAL_ENERGY_UNIT"
			}

this.NEU_multiplier = parseFloat(EquipmentInfo.infoForKey("EQ_NAVAL_ENERGY_UNIT").scriptInfo.oolite_energy_recharge_multiplier);
this.EEU_multiplier = parseFloat(EquipmentInfo.infoForKey("EQ_ENERGY_UNIT").scriptInfo.oolite_energy_recharge_multiplier);

this.startUp = function()
{
	if (worldScripts.NPC_Equipment_Damage)
	{
		worldScripts.NPC_Equipment_Damage.NPC_equipmentDamagedHandlers.push(this.NPC_energy_equipmentDamaged)
	}
}

this.shipSpawned = function(ship)
{
	if (this._alreadyGotOne[ship.dataKey]) // add equipment to ships which already have rate boost
	{
		ship.awardEquipment(this._alreadyGotOne[ship.dataKey]);
		log (this.name, ship.name +" already has "+ EquipmentInfo.infoForKey(this._alreadyGotOne[ship.dataKey]).name);
		return;
	}
	
	if (!ship.isPiloted || ship.isStation || ship.isThargoid || ship.energyRechargeRate > 5 || !ship.autoWeapons) return;
	
	var NEU_chance = (ship.accuracy - 5) / 50;
	var EEU_chance = ship.accuracy / 10;
	if (ship.equipmentStatus("EQ_NSHIELDS_NPC_NAVAL_SHIELD_BOOSTER") == "EQUIPMENT_OK" || (worldScripts.NShields && ship.equipmentStatus("EQ_SHIELD_ENHANCER") == "EQUIPMENT_OK")) EEU_chance += 0.5;
	 
	if (Math.random() < NEU_chance) //Naval Energy Units
	{
		if (ship.awardEquipment("EQ_NPC_NAVAL_ENERGY_UNIT"))
		{
			ship.energyRechargeRate *= this.NEU_multiplier; //default is 2.6
			log (this.name, "NEU awarded to "+ship.name)
			return;
		}
		else log (this.name, "failed to award NEU to "+ship.name);
	}
	if (Math.random() < EEU_chance)
	{
		if (ship.awardEquipment("EQ_NPC_ENERGY_UNIT"))
		{
			ship.energyRechargeRate *= this.EEU_multiplier; //default 1.8
			log (this.name, "EEU awarded to "+ship.name)
			return;
		}
		else log (this.name, "failed to award EEU to "+ship.name)
	}	
}

this.NPC_energy_equipmentDamaged = function(equipment)
{
	if (equipment == "EQ_NPC_NAVAL_ENERGY_UNIT") this.ship.energyRechargeRate /= worldScripts.NPC_Energy_Units.NEU_multiplier;
	if (equipment == "EQ_NPC_ENERGY_UNIT") this.ship.energyRechargeRate /= worldScripts.NPC_Energy_Units.EEU_multiplier;
}